
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Cuentas por Pagar
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Cuentas por Pagar</li>
            </ol>
          </div>
		</div>
	</div>
</div>
	

	<!-- filtro de registro -->
	<div id="div_cuentapagar_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_cuentapagar_tabla" ></div>

	
	
		<div class="modal fade" id="div_devolucion_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_devolucion_form"  >
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title text-red" id="titlemodal">Alerta de devoluciones !</h4> 
				</div>
				
				
			<div class="row">

			<div class="col-lg-12 col-sm-12 col-xs-12">
				<label for="txt_pro_nom">Este proveedor tiene devoluciones pendientes.</label>
			</div>
		
			</div>
				
			</div>
			<br />
			<br />
			</div>
			</div>
		</div>
			
	
			<div class="modal fade" id="div_egreso_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_egreso_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

			<div class="modal fade" id="div_egresoletra_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_egresoletra_form"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>


			
			
			<!-- formulario de registro -->
			<div class="modal fade" id="div_compra_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-xl " style="width: 95% !important;"   role="document" >

			<div class="modal-content">

			<div class="modal-body div_compra_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			<!-- formulario de registro -->
			<div class="modal fade" id="div_pago_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg" style=""   role="document" >

			<div class="modal-content">

			<div class="modal-body div_pago_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
				


			<div class="modal fade" id="div_letra_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_letra_form">

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

			
			<div class="modal fade" id="div_comprapagoarchivos_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-lg"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_comprapagoarchivos_form" style="padding:0%;"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>

			<div class="modal fade" id="div_reno_form_dialog" role="dialog" data-keyboard="true"  data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-sm"  role="document" >

			<div class="modal-content">

			<div class="modal-body div_reno_form" style="padding:0%;"  >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
			
			
	<!-- formulario de registros-->
	
			<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;" >
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>		

			
<div id="div_producto_codbar_form"></div> 


<script type="text/javascript">
	
	function renovar(act,compagsid){
			$('#div_reno_form_dialog').modal();
			$('body').css('overflow-y','hidden');
			
			//alert(compagsid);
			
			$.ajax({
				type: "POST",
				url: "../cuentapagar/renovar_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					act:act,
					compagsid:compagsid,
					vista:'compra_tabla'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_reno_form').html(div);
				},
				success: function(html){
					$('.div_reno_form').html(html);				
				}
			});
		}
	
	
		
	function ver_archivos(compagsid,numdoc){
			$('#div_comprapagoarchivos_form_dialog').modal();
			$('body').css('overflow-y','hidden');
			
			$.ajax({
				type: "POST",
				url: "../cuentapagar/archivos_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					compagsid:compagsid,
					numdoc:numdoc,
					vista:'compra_tabla'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_comprapagoarchivos_form').html(div);
				},
				success: function(html){
					$('.div_comprapagoarchivos_form').html(html);				
				}
			});
		}
	
	
	function compra_form(act,idf,pagar){
			$('#div_compra_form_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../compra/compra_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					com_id:	idf,
					com_pagar:pagar,
					vista:'cuent_pagar'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_compra_form').html(div);
				},
				success: function(html){
					$('.div_compra_form').html(html);				
				}
			});
		}

	
		
		
	
		function pagos_form(idcompag){
			$('#div_pago_form_dialog').modal();
		//$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../egreso/egreso_form_vista.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: 'ver_pagos',
					compag_id:	idcompag,
					vista:'cuenta_pagar'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	$('.div_pago_form').html(div);
				},
				success: function(html){
					$('.div_pago_form').html(html);				
				}
			});
		}
		
			function pagosletra_form(idcompag){
			$('#div_pago_form_dialog').modal();
		
			$.ajax({
				type: "POST",
				url: "../egreso/egreso_form_vista_letra.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: 'ver_pagos',
					compag_id:	idcompag,
					vista:'cuenta_pagar'
				}),
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_pago_form').html(div);
				},
				success: function(html){
					$('.div_pago_form').html(html);				
				}
			});
		}
		

function cuentapagar_filtro()
{
	$.ajax({
		type: "POST",
		url: "../cuentapagar/cuentapagar_filtro.php",
		async:true,
		dataType: "html",                      
		//data: ({
			//producto: $('#txt_fil_pro').val()
		//}),
		beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('#div_cuentapagar_filtro').html(div);
		},
		success: function(html){
			$('#div_cuentapagar_filtro').html(html);
		},
		complete: function(){
		//	cuentasxpagar_tabla();
		}
	});
}

function cuentapagar_tabla()
{
	$.ajax({
		type: "POST",
		url: "../cuentapagar/cuentapagar_tabla.php",
		async:true,
		dataType: "html", 
		data: $("#for_fil_pro").serialize(),                    
		beforeSend: function() {
			
			$('#div_cuentapagar_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_cuentapagar_tabla').html(html);
		},
		complete: function(){			
			$('#div_cuentapagar_tabla').removeClass("ui-state-disabled");
		}
	});     
}

function buscar(){
	if($('#cmb_fil_empresa_id').val()==""){
		toastr["success"]('Seleccione una empresa');
	}else if($('#hdd_fil_pro_id').val()==""){
		toastr["success"]('Seleccione un proveedor');
	}else{
		cuentapagar_tabladeudas('','','');
	}
	
}


function cuentapagar_tabladeudas(id_prov,monid,empid){

	$.ajax({
		type: "POST",
		url: "../cuentapagar/cuentapagar_tabladeudas.php",
		async:true,
		dataType: "html",                      
		data: ({
			pro_id: id_prov || $('#hdd_fil_pro_id').val() ,
			mon_id: monid || $('#cmb_fil_mon_id').val(),
			emp_id: empid || $('#cmb_fil_empresa_id').val()
			
		}),
		beforeSend: function() {
			
			$('#div_cuentapagar_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_cuentapagar_tabla').html(html);
		},
		complete: function(){			
			$('#div_cuentapagar_tabla').removeClass("ui-state-disabled");
			
		}
	});
}


function egreso_form(act,id_cp){	
	
	$('#div_egreso_form_dialog').modal('show'); 
	
	$.ajax({
		type: "POST",
		url: "../cuentapagar/egreso_cuentapagar.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			compag_id : id_cp,
			vista: 'cuentasxpagar_tabla2'
		}),
		beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_egreso_form').html(div); 
		},
		success: function(html){
			$('.div_egreso_form').html(html);				
		},
		complete: function(html){

		}
	});
}

function egresoletra_form(act,id_cp){	
	
	$('#div_egresoletra_form_dialog').modal('show'); 
		$('body').css('overflow-y','hidden');
	$.ajax({
		type: "POST",
		url: "../cuentapagar/egreso_cuentapagarletra.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			compag_id : id_cp,
			vista: 'cuentasxpagar_tabla2'
		}),
		beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_egresoletra_form').html(div); 
		},
		success: function(html){
			$('.div_egresoletra_form').html(html);				
		},
		complete: function(html){

		}
	});
}



function letra_form(act,id_let,vis){	
	
	$('#div_letra_form_dialog').modal('show'); 
	$('body').css('overflow-y','hidden');
	$.ajax({
		type: "POST",
		url: "../cuentapagar/letra_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			compag_id : id_let,
			vista:vis
		}),
		beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_letra_form').html(div); 
		},
		success: function(html){
			$('.div_letra_form').html(html);				
		},
		complete: function(html){

		}
	});
}

function cuentapagar_tabla_prov_fac_des(pro_id,emp_id,doc_num,mon_id, doctod,doclet,docfac,docnd,docnc, esttod,estpen,estcan,estpag)
{

	$.ajax({
		type: "POST",
		url: "../cuentapagar/cuentapagar_tabladeudas_facprov.php",
		async:true,
		dataType: "html", 
		data: ({
			pro_id:pro_id || $("#hdd_pro_id").val() ,
			emp_id:emp_id || $("#hdd_emp_id").val(),
			mon_id:mon_id || $("#hdd_mon_id").val(),
			doc_num:doc_num || $("#txt_docnum").val(),
			doctod:doctod,
			doclet:doclet,
			docfac:docfac,
			docnd:docnd,
			docnc:docnc,
			esttod:esttod,
			estpen:estpen,
			estcan:estcan,
			estpag:estpag
		}),               
		beforeSend: function() {
				
			
						
		},
		success: function(html){
			$('#div_tabla_proveedores').html(html);
		},
		complete: function(){			
	//		$('#div_mensaje_dialog').modal('hide');
			 $('.modal').modal('hide');
			$('.in').removeClass('modal-backdrop');	   
			
		}
	});     
}




	$(function() {


		
		$("#div_mensaje_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
		
		$("#div_egresoletra_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
		
		$("#div_letra_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
		
		$("#div_reno_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
	
		$("#div_compra_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});

		$("#div_comprapagoarchivos_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});

	

		
	
		$('#btn_actualizar').click(function() {
			$("#content").load("../cuentapagar/cuentapagar_vista.php");
		});

		cuentapagar_filtro();

		setTitle("CUENTAS POR PAGAR - "+nombreEmpresa); 

	});

</script>  